Subject: bug#19438: 24.4; system-name bad cache

From: Leo Liu <[email-masked]>
Date: Sat, 27 Dec 2014 09:10:57 +1100

On 2014-12-27 03:07 +1100, Paul Eggert wrote:
> How about the attached patch?  The idea is that (system-name) actually
> inquires for the current system name, and system-name caches the
> result.  If an Emacs lisp program assigns to system-name, though, it's
> no longer updated thereafter.

Why not get rid of the variable system-name? It seems what it provides
can be easily achieved without it. Thanks for looking into the issue.

Leo